const SLIDER_MAX = 10;
const SLIDER_MIN = -10;
const SLIDER_MIN_RANGE=[[0,0],[0,0]];
//const SLIDER_DEFAULT_RANGE=[[0,0],[0,0]];
//const SLIDER_DEFAULT_RANGE=[[-1,1],[0,1]];
const SLIDER_DEFAULT_RANGE=[[-5,5],[-5,5]];

var xSlider = document.getElementById('slider-round-x');
noUiSlider.create(xSlider, {
    start: SLIDER_DEFAULT_RANGE[0],
    connect: [false, true, false],
    //tooltips: true,
    tooltips: wNumb({decimals: 0}),
    step: 1,
    range: {
        'min': SLIDER_MIN,
        'max': SLIDER_MAX
    }
});

var ySlider = document.getElementById('slider-round-y');
noUiSlider.create(ySlider, {
    start: SLIDER_DEFAULT_RANGE[1],
    connect: [false, true, false],
    //tooltips: true,
    tooltips: wNumb({decimals: 0}),
    step: 1,
    range: {
        'min': SLIDER_MIN,
        'max': SLIDER_MAX
    }
});

var right_xSlider = document.getElementById('slider-round-right-x');
noUiSlider.create(right_xSlider, {
    start: SLIDER_DEFAULT_RANGE[0],
    connect: [false, true, false],
    //tooltips: true,
    tooltips: wNumb({decimals: 0}),
    step: 1,
    range: {
        'min': SLIDER_MIN,
        'max': SLIDER_MAX
    }
});

var right_ySlider = document.getElementById('slider-round-right-y');
noUiSlider.create(right_ySlider, {
    start: SLIDER_DEFAULT_RANGE[1],
    connect: [false, true, false],
    //tooltips: true,
    tooltips: wNumb({decimals: 0}),
    step: 1,
    range: {
        'min': SLIDER_MIN,
        'max': SLIDER_MAX
    }
});

xSlider.setAttribute('disabled', true);
ySlider.setAttribute('disabled', true);
right_xSlider.setAttribute('disabled', true);
right_ySlider.setAttribute('disabled', true);